Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000163openvibepatch submissionpublic2014-11-13 16:462015-02-12 10:31
Reporterozan.caglayan 
Assigned Tonfoy 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSLinuxOS VersionFedora
Summary0000163: Build is broken on Fedora x86_64
DescriptionBuild fails while linking P300-stimulator's test codes. Attached patch fix it.
TagsNo tags attached.
Attached Filespatch file icon fix-linking-with-rt-on-fedora.patch [^] (1,414 bytes) 2014-11-13 16:46 [Show Content]
patch file icon 0001-contrib-Obey-OV_COMPILE_TESTS-for-CoAdapt-stimulator.patch [^] (1,079 bytes) 2014-12-29 19:00 [Show Content]

- Relationships

-  Notes
(0001166)
jtlindgr (administrator)
2014-12-10 13:20

Hi Ozan, thanks for the patch! However, it seems that

FindThirdPartyLibrariesForCoAdaptStimulator.cmake

adds 'rt' if the needed dependencies are in general found.
Perhaps a more correct solution would be to disable the test
if the dependencies are not met.
(0001168)
ozan.caglayan (reporter)
2014-12-29 19:00

I've attached another patch to make this module obey OV_COMPILE_TESTS CMake flag. At least I can now disable the building of the tests by setting OV_COMPILE_TESTS to false.
(0001179)
nfoy (developer)
2015-02-12 10:31

Fixed by adding guards in the P300 source code

- Issue History
Date Modified Username Field Change
2014-11-13 16:46 ozan.caglayan New Issue
2014-11-13 16:46 ozan.caglayan File Added: fix-linking-with-rt-on-fedora.patch
2014-12-10 13:20 jtlindgr Note Added: 0001166
2014-12-11 10:29 nfoy Assigned To => nfoy
2014-12-11 10:29 nfoy Status new => assigned
2014-12-29 19:00 ozan.caglayan File Added: 0001-contrib-Obey-OV_COMPILE_TESTS-for-CoAdapt-stimulator.patch
2014-12-29 19:00 ozan.caglayan Note Added: 0001168
2015-02-12 10:31 nfoy Note Added: 0001179
2015-02-12 10:31 nfoy Status assigned => resolved
2015-02-12 10:31 nfoy Resolution open => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker